Bug 1197517 (elmon) - Review Request: elmon - Performance monitoring tool [NEEDINFO]
Summary: Review Request: elmon - Performance monitoring tool
Keywords:
Status: CLOSED ERRATA
Alias: elmon
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-01 23:17 UTC by Pavel Alexeev
Modified: 2016-12-11 04:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-10 20:20:28 UTC
Type: ---
projects.rg: fedora-review+
projects.rg: needinfo? (pahan)


Attachments (Terms of Use)

Description Pavel Alexeev 2015-03-01 23:17:22 UTC
Spec URL: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/93b4089c167b847c617d156494affa7be38181ef/SPECS/elmon.spec
SRPM URL: http://hubbitus.info/rpm/Fedora21/elmon/elmon-13b1-1.fc21.src.rpm
Description: elmon is a performance monitoring tool for Linux. It provides an ncurses interface as well as the ability to save the data to a CSV file. elmon is based on nmon by Nigel Griffiths and the CSV output is compatible with nmon processing tools.
Fedora Account System Username: hubbitus

Comment 1 Pavel Alexeev 2015-03-01 23:17:44 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9112907

Comment 2 Raphael Groner 2016-03-28 19:07:33 UTC
Some general advice in prior:
- Description is quite long, can you shorten that? See also change_log.txt
- Are you sure about license is GPLv3, but not GPLv3+ (mind the plus) that
  means "or any later version"?
- Remove 'rm -rf %{buildroot}' from %install, it's obsolete.
- Use a better name for the binary, elmon_x86_rhel52 looks bad.
  elmon may be enough for a proper name. Obviously, users won't install several
  multilib binaries in parallel, or what is the name suffix for?
- As it's one source file only in the tarball, I would recommend to skip the
  makefile and use a call to cc directly inside the spec %build, you've already
  manual installation, so why use wrong looking makefile.
- Add BuildRequires: gcc
  https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#BuildRequires_and_Requires

Comment 3 Raphael Groner 2016-06-16 12:48:59 UTC
Friendly reminder. Any news here?

Comment 4 Raphael Groner 2016-07-11 19:35:37 UTC
Another friendly reminder.

Comment 5 Pavel Alexeev 2016-09-13 13:44:22 UTC
Hello.

Sorry, I miss your comments. Thank you to look in.

>- Use a better name for the binary, elmon_x86_rhel52 looks bad.
It already installed as %{_bindir}/%{name}

> Are you sure about license is GPLv3, but not GPLv3+ (mind the plus)
Official site (http://elmon.sourceforge.net/) said wo, citing:
"This software is disributed under the terms of the GPL version 3 license."

Why you think Makefile wrong?


Description cut, BR gcc added:
Changes: https://github.com/Hubbitus/Fedora-packaging/commit/c9cf5e7177f8c9b44738c3836441ec6168c59b72
Spec: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/c9cf5e7177f8c9b44738c3836441ec6168c59b72/SPECS/elmon.spec
Srpm: http://rpm.hubbitus.info/Fedora24/elmon/elmon-13b1-2.fc24.src.rpm

Comment 6 Pavel Alexeev 2016-09-13 13:44:37 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15615308

Comment 7 Raphael Groner 2016-10-02 20:24:04 UTC
I can look into a full review later. Are you interested in a review swap?

Comment 8 Pavel Alexeev 2016-10-08 11:30:20 UTC
Sure. What I could review for you?

Comment 9 Pavel Alexeev 2016-10-10 18:21:40 UTC
Raphael?

Comment 10 Raphael Groner 2016-10-10 18:34:32 UTC
Thanks for the reminder. Could you take a look into bug #1380942?

As I'm busy with other things during the weeks, don't expect anything from me for this review here earlier than on one of the next weekends.

Comment 11 Raphael Groner 2016-10-16 07:30:14 UTC
APPROVED. No blockers found.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
=> Ignore.
- Are you sure with GPLv3 only? Why not use GPLv3+? The plus sign stands
  for "or any later version". I fail to find any note that prevents that.
  https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#GPL_Compatibility_Matrix
- The %make_build macro is available mostly but not recommended. Maybe
  use 'make %{?_smp_mflags}' instead that works in all distributions.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v3)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1197517-elmon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in elmon-
     debuginfo
=> Ignore. debuginfo is generated.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: elmon-13b1-2.fc26.x86_64.rpm
          elmon-debuginfo-13b1-2.fc26.x86_64.rpm
          elmon-13b1-2.fc26.src.rpm
elmon.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
elmon.x86_64: W: spelling-error %description -l en_US nmon -> non, neon, noon
elmon.x86_64: W: spelling-error %description -l en_US subsecond -> sub second, sub-second, second
elmon.x86_64: W: no-manual-page-for-binary elmon
elmon.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
elmon.src: W: spelling-error %description -l en_US nmon -> non, neon, noon
elmon.src: W: spelling-error %description -l en_US subsecond -> sub second, sub-second, second
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: elmon-debuginfo-13b1-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
elmon.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
elmon.x86_64: W: spelling-error %description -l en_US nmon -> non, neon, noon
elmon.x86_64: W: spelling-error %description -l en_US subsecond -> sub second, sub-second, second
elmon.x86_64: W: no-manual-page-for-binary elmon
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
elmon (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libncurses.so.6()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)

elmon-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
elmon:
    elmon
    elmon(x86-64)

elmon-debuginfo:
    elmon-debuginfo
    elmon-debuginfo(x86-64)



Source checksums
----------------
http://sourceforge.net/projects/elmon/files/elmon_13b1.tar :
  CHECKSUM(SHA256) this package     : 6b6cc628f276940991a8e9fa85b70357f465df923ded885605d03ea87dad6aa3
  CHECKSUM(SHA256) upstream package : 6b6cc628f276940991a8e9fa85b70357f465df923ded885605d03ea87dad6aa3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1197517
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 Raphael Groner 2016-10-17 20:00:59 UTC
Maybe you can take a look into bug #1385856?

Comment 13 Pavel Alexeev 2016-10-22 20:42:38 UTC
Thank you very much Raphael for the review. #1385856 has been taken. I have taken #1380942 which you mention early.

Comment 14 Gwyn Ciesla 2016-10-24 12:47:34 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/elmon

Comment 15 Pavel Alexeev 2016-10-26 10:03:40 UTC
I'll drop BR GCC.

Meantime:
> - The %make_build macro is available mostly but not recommended. Maybe
  use 'make %{?_smp_mflags}' instead that works in all distributions.

That macro recommended in https://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25build_section

Comment 16 Pavel Alexeev 2016-10-26 10:04:00 UTC
And thank you Jon Ciesla.

Comment 17 Fedora Update System 2016-10-26 20:32:08 UTC
elmon-13b1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-808126209f

Comment 18 Fedora Update System 2016-10-26 22:26:01 UTC
elmon-13b1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01d362b04d

Comment 19 Fedora Update System 2016-10-27 06:49:37 UTC
elmon-13b1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0631ee4ae6

Comment 20 Raphael Groner 2016-11-13 14:09:14 UTC
F25: This update has reached 3 days in testing and can be pushed to stable now if the maintainer wishes

F24: This update has reached 7 days in testing and can be pushed to stable now if the maintainer wishes.

Pavel, please do so.

Comment 21 Raphael Groner 2016-12-10 20:20:28 UTC
Thanks for pushing. Closing here.

Comment 22 Fedora Update System 2016-12-11 00:27:01 UTC
elmon-13b1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-12-11 02:22:36 UTC
elmon-13b1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-12-11 04:49:40 UTC
elmon-13b1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.